Name:           mate-media
Version:        1.5.1
Release:        3%{?dist}
Summary:        MATE media programs
License:        GPLv2+ and LGPLv2+
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/1.5/%{name}-%{version}.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(gstreamer-0.10)
BuildRequires:  pkgconfig(gstreamer-plugins-base-0.10)
BuildRequires:  pkgconfig(mate-default-applications)
BuildRequires:  pkgconfig(unique-1.0)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(libcanberra)
BuildRequires:  mate-doc-utils
BuildRequires:  rarian-compat
BuildRequires:  mate-common
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  clutter-gst-devel
BuildRequires:  mate-panel-devel

Requires(post):    desktop-file-utils
Requires(postun):  desktop-file-utils

Obsoletes:      %{name}-devel < 1.4.0-4

#fix gstreamer applet
#https://github.com/mate-desktop/mate-media/pull/15
Patch0: commits_rollup.patch

%description
This package contains a few media utilities for the MATE desktop,
including a volume control.


%prep
%setup -q
%patch0 -p1 -b .commit_rollup.patch
NOCONFIGURE=1 ./autogen.sh


%build
%configure \
        --disable-static \
        --enable-gstmix \
        --disable-schemas-compile \
        --disable-scrollkeeper \
        --enable-gst-mixer-applet \
        --enable-pulseaudio \
        --enable-gstreamer \
        --with-gnu-ld

make V=1 %{?_smp_mflags}


%install
make DESTDIR=%{buildroot} install
find %{buildroot} -name '*.la' -exec rm -rf {} ';'

desktop-file-install                                                    \
        --remove-category="MATE"                                        \
        --add-category="X-Mate"                                         \
        --delete-original                                               \
        --dir=%{buildroot}%{_datadir}/applications                      \
%{buildroot}%{_datadir}/applications/mate-volume-control.desktop


%find_lang %{name} --all-name

%post
/sbin/ldconfig
/bin/touch --no-create %{_datadir}/icons/mate &>/dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :

%postun
/sbin/ldconfig
/usr/bin/update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/mate &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/mate &>/dev/null || :
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/mate &>/dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README
%{_bindir}/mate-volume-control
%{_bindir}/mate-volume-control-applet
%{_sysconfdir}/xdg/autostart/mate-volume-control-applet.desktop
%{_datadir}/icons/mate/*/*/*.png
%{_datadir}/mate-media/
%{_datadir}/sounds/mate/
%{_datadir}/glib-2.0/schemas/org.mate.volume-control.gschema.xml
%{_datadir}/applications/mate-volume-control.desktop
%{_datadir}/mate/help/mate-volume-control
%{_datadir}/omf/mate-volume-control
%{_libexecdir}/mixer_applet2
%{_datadir}/dbus-1/services/org.mate.panel.applet.MixerAppletFactory.service
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.mixer.gschema.xml
%{_datadir}/mate-2.0/ui/mixer-applet-menu.xml
%{_datadir}/mate-panel/applets/org.mate.applets.MixerApplet.mate-panel-applet
%{_datadir}/mate/help/mate-mixer_applet2
%{_datadir}/omf/mate-mixer_applet2

%changelog
* Sat Dec 22 2012 Nelson Marques <nmo.marques@gmail.com> - 1.5.1-3
- mate-settings-daemon was build with gstreamer, we want to make
  sure we also have proper gstreamer support here. Only from MATE
  1.8 we will be able to support both backends

* Tue Dec 11 2012 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.1-2
- Remove duplicate configure flag
- Fix gstreamer applet compilation error the right way

* Mon Dec 10 2012 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.1-1
- Bump to latest upstream version
- Add patch to fix compilation errors for gstreamer applet
- Clean up spec file
- Add update-desktop-database scriptlet
- Switch to buildroot macro

* Thu Nov 08 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.5.0-1
- update to 1.5.0 release
- drop devel sub-package and obsolete it

* Sat Nov 03 2012 Dan Mashal <dan.mashal@fedoraproject.org> - 1.4.0-4
- Rebuild to fix autoqa bug on bodhi

* Mon Oct 22 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-3
- add Icon Cache scriptlets

* Mon Oct 22 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-2
- add LGPLv2+ to license

* Mon Oct 22 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-1
- Initial build

